Fix uses of class in closure parameters and default values for functions
ClosedPublic

Authored by mtijink on Jul 13 2017, 5:44 PM.

Details

Summary

Uses of classes in closures and default values for functions were not captured previously, this diff adds that.

Diff Detail

Repository
R52 KDevelop: PHP Support
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
mtijink created this revision.Jul 13 2017, 5:44 PM
Restricted Application added a subscriber: kdevelop-devel. · View Herald TranscriptJul 13 2017, 5:44 PM
zhigalin requested changes to this revision.Jul 18 2017, 8:48 AM
zhigalin added a subscriber: zhigalin.
zhigalin added inline comments.
duchain/expressionvisitor.cpp
239
/kdesrc/kdev-php/duchain/expressionvisitor.cpp: In member function ‘virtual void Php::ExpressionVisitor::visitClosure(Php::ClosureAst*)’:
/kdesrc/kdev-php/duchain/expressionvisitor.cpp:246:60: error: no matching function for call to ‘Php::ExpressionVisitor::visitStaticScalar(Php::ExprAst*&)’
                 visitStaticScalar(it->element->defaultValue);
                                                            ^
In file included from /kdesrc/kdev-php/duchain/expressionvisitor.cpp:20:0:
/kdesrc/kdev-php/duchain/expressionvisitor.h:65:10: note: candidate: virtual void Php::ExpressionVisitor::visitStaticScalar(Php::StaticScalarAst*)
     void visitStaticScalar(StaticScalarAst *node) override;
          ^
/kdesrc/kdev-php/duchain/expressionvisitor.h:65:10: note:   no known conversion for argument 1 from ‘Php::ExprAst*’ to ‘Php::StaticScalarAst*’
This revision now requires changes to proceed.Jul 18 2017, 8:48 AM
mtijink updated this revision to Diff 17027.Jul 22 2017, 3:59 PM
mtijink retitled this revision from Fix uses of class in closure parameters to Fix uses of class in closure parameters and default values for functions.
mtijink edited the summary of this revision. (Show Details)

Should work as expected now.

zhigalin accepted this revision.Jul 26 2017, 5:15 PM

Perfect, thanks

This revision is now accepted and ready to land.Jul 26 2017, 5:15 PM
This revision was automatically updated to reflect the committed changes.